<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('employee_monthly_schedules', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('department_id')->index();
            $table->string('employee_id')->index();
            $table->string('schedule_id')->index();
            $table->date('date_from');
            $table->date('date_to')->nullable();
            $table->date('effectivity_date');
            $table->boolean('enabled')->default(true)->index();
            $table->tinyInteger('status')->default(0);
            $table->string('recommending_id')->nullable()->index();
            $table->string('approver_id')->nullable()->index();
            $table->datetime('recommended_at')->nullable();
            $table->datetime('approved_at')->nullable();
            $table->text('denied_reason')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('employee_monthly_schedules');
    }
};
